<?php 
/* Don't remove these lines. */
$blog = 1;
require('wp-blog-header.php');
// Uncomment the next line if you want to track blog updates from weblogs.com
//include_once(ABSPATH.WPINC.'/links-update-xml.php');






/* 
wp-recent-links

this page's markup is the same as the default index.php file in wordpress.
just edit this to your site's design.

NOTE, you need to keep the following:
1. recent-links for page title - the block right below
2. the echo <?php echo $mod_page_title; ? > inside the <title></title> tag
3. the recent-links display block, inside the #content div
*/




// begin: recent-links for page title
if (  !isset($_REQUEST['y']) || !isset($_REQUEST['m']) || strlen($_REQUEST['y']) != 4 || strlen($_REQUEST['m']) != 2  ) {
	$mod_page_title = 'Recent Links';
} else {
	$mod_page_title = 'Recent Links &#187; '. date('F Y', strtotime($_REQUEST['y'].'-'.$_REQUEST['m'].'-01 01:01:01'));
}
// end: recent-links for page title



?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<title><?php bloginfo('name'); ?><?php echo $mod_page_title; ?></title>
	
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<meta name="generator" content="WordPress <?php echo $wp_version; ?>" /> <!-- leave this for stats -->

	<style type="text/css" media="screen">
		@import url( <?php echo $siteurl; ?>/wp-layout.css );
	</style>
	
	<link rel="stylesheet" type="text/css" media="print" href="<?php echo $siteurl; ?>/print.css" />
	<link rel="alternate" type="text/xml" title="RDF" href="<?php bloginfo('rdf_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
    <?php get_archives('monthly', '', 'link'); ?>
	<?php //comments_popup_script(); // off by default ?>

</head>

<body>
<div id="rap">
<h1 id="header"><a href="<?php echo $siteurl; ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h1>





<div id="content">



<?php // begin: recent-links display block
if (  !isset($_REQUEST['y']) || !isset($_REQUEST['m']) || strlen($_REQUEST['y']) != 4 || strlen($_REQUEST['m']) != 2  ) {
	?>

<h2>Recent Links</h2>
    <ul>
        <?php rpmod_recentlinks(12); ?>
    </ul>

    <?php
} else {
	?>
<h2><?php echo date('F Y', strtotime($_REQUEST['y'].'-'.$_REQUEST['m'].'-01 01:01:01')); ?></h2>
    <ul>
        <?php rpmod_recentlinks_month(); ?>
    </ul>

<?php
} // end else
?>


<h2>Recent Links by Month</h2>

    <ul>
        <?php rpmod_recentlinks_archives('', '<li>', '</li>', "\n", 1); // end: recent-links display block ?>
    </ul>


</div>










<div id="menu">

<ul>
	<?php get_links_list(); ?>
 <li id="categories">Categories:
	<ul>
	<?php list_cats(0, 'All', 'name'); ?>
	</ul>
 </li>
 <li id="search">Search:
	<form id="searchform" method="get" action="<?php echo $PHP_SELF; /*$siteurl."/".$blogfilename*/ ?>">
	<div>
		<input type="text" name="s" size="15" /><br />
		<input type="submit" name="submit" value="search" />
	</div>
	</form>
 </li>
 <li id="archives">Archives:
 	<ul>
	 <?php get_archives('monthly'); ?>
 	</ul>
 </li>
 <li id="calendar">
	<?php get_calendar(); ?>
 </li>
 <li id="other">Other:
	<ul>
		<li><a href="<?php echo $siteurl; ?>/wp-login.php">login</a></li>
		<li><a href="<?php echo $siteurl; ?>/wp-register.php">register</a></li>
	</ul>
 </li>
 <li id="meta">Meta:
 	<ul>
		<li><a href="<?php bloginfo('rss2_url'); ?>" title="Syndicate this site using RSS"><abbr title="Really Simple Syndication">RSS</abbr> 2.0</a></li>
		<li><a href="<?php bloginfo('comments_rss2_url'); ?>" title="The latest comments to all posts in RSS">Comments <abbr title="Really Simple Syndication">RSS</abbr> 2.0</a></li>
		<li><a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional">Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a></li>
		<li><a href="http://wordpress.org" title="Powered by WordPress, state-of-the-art semantic personal publishing platform">WP</a></li>
	</ul>
 </li>

</ul>

</div>

</div>

<p class="credit"><!--<?php echo $wpdb->querycount; ?> queries.--> <?php timer_stop(1); ?> || <cite>Powered by <a href="http://wordpress.org" title="Powered by WordPress, state-of-the-art semantic personal publishing platform"><strong>WordPress</strong></a></cite></p>
</body>
</html>